Sandbox
The sandbox environment is for development and testing. No payments, charges, or invoices will be enforced. It is a fully isolated account that mirrors production behavior.
It is used to validate your integration before going live. You will work with your Flute support team developing workflows and tools.
baseURL: https://sandbox.api.flute.com
Production
The production environment is for deploying the payment system live to clients. All payments, charges, or invoices are live and will be enforced.
When your product is ready to be deployed live, the Flute support team will work with you to ensure compliance. This compliance follows the production readiness checklist. It ensures the best and optimal developer, client, and customer experience.
For more information and details about the production readiness checklist, see Production Go-Live Guide.
baseURL: https://api.flute.com
Using the baseURL
Use the baseURL instead of the placeholder noted in each endpoint. For example, an endpoint may be described in the endpoint documentation as:
GET {{baseURL}}/v2/customers
To make this call in the sandbox environment, use:
POST https://sandbox.api.flute.com/v2/customers
To make this call in the production environment, use:
POST https://api.flute.com/v2/customers